View Issue Details

IDProjectCategoryLast Update
0025573AI War 2Bug - GameplaySep 30, 2021 10:13 am
ReporterArctic Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.701 Natural Object Order 
Fixed in VersionBeta 3.704 Unexpected Turbo Sim Speed 
Summary0025573: Issues with AI selection or Ingame Display
DescriptionStarted a game with 2 Difficulty 10 AIs, ingame both AIs were shown as "Difficult 7 (Intensity 10) ( Intensity -1)"
Furthermore:
- AI Types ingame are always "Ensemble", no matter the selection in the lobby
- AI1 Difficulty Selection affects shown difficulty of both AIs in the lobby, but only AI1 ingame (well, it affects Intensity anyway, see above)

attached screenshots show AI lobby settings and ingame result (different settings from above)
TagsNo tags attached.

Activities

Arctic

Sep 24, 2021 10:56 am

reporter  

Ingame1.PNG (169,075 bytes)   
Ingame1.PNG (169,075 bytes)   
Lobby1.PNG (2,141,548 bytes)
Lobby2.PNG (2,147,163 bytes)

x4000Bughunter

Sep 30, 2021 10:02 am

administrator   ~0062859

Thanks!

* When I set up the AI data and subdata in as part of the great refactor, I accidentally wound up having two copies of the central AI type and difficulty. One on the main object (not needed), and one on the sentinels sub-object. Most things were reading from the latter, but the latter was also always set to the defaults rather than the values you chose.
** Now there is only one set, and everything reads from that, and this works great.
** I made this change in a way that breaks savegames (I didn't have to, but it's slightly more efficient and I'm about to break savegames today anyway).

x4000Bughunter

Sep 30, 2021 10:13 am

administrator   ~0062860

* At least since the great refactor, but maybe longer, the escape menu where it shows the list of factions has been a bit of a mess, with extra intensities showing and so forth. Fixed up those bits, and then also just made it look a bit nicer than it did in the past for the AI types in particular.

Issue History

Date Modified Username Field Change
Sep 24, 2021 10:56 am Arctic New Issue
Sep 24, 2021 10:56 am Arctic File Added: Ingame1.PNG
Sep 24, 2021 10:56 am Arctic File Added: Lobby1.PNG
Sep 24, 2021 10:56 am Arctic File Added: Lobby2.PNG
Sep 28, 2021 6:11 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 28, 2021 6:11 pm x4000Bughunter Status new => assigned
Sep 30, 2021 10:02 am x4000Bughunter Note Added: 0062859
Sep 30, 2021 10:13 am x4000Bughunter Status assigned => resolved
Sep 30, 2021 10:13 am x4000Bughunter Resolution open => fixed
Sep 30, 2021 10:13 am x4000Bughunter Fixed in Version => Beta 3.704 Unexpected Turbo Sim Speed
Sep 30, 2021 10:13 am x4000Bughunter Note Added: 0062860